
Figure - Bug #115096
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】/data/tlog/persist/kernel 日志在第一次打包并删除后，不再生成kernel日志文件
，导致后续打包的压缩包中没有kernel
2023-01-05 16:47 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-05

Priority: High Due date: 2023-01-12

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0066.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-12

Test Type: ST Root cause: 打包的时候把正在写入的文件删除了

Description

【前提条件】

None

【测试步骤】

1. 设备开机，有kernel文件日志/data/tlog/persist/kernel 

2. 等30分钟，打包、删除kernel日志，这个时候打包出来的压缩包有kernel

3. 这个时候继续操作设备，/data/tlog/persist/kernel 下没有新的kernel日志生成

4. 这个时候又等了30分钟，又继续打包，但是由于第三步的情况，本身就没kernel日志文件，所以打包出来也没有，后续也不产生新的

【预期结果】

3.4 均有kernel日志生成

【实际结果】

3.4 没有kernel日志产生

History

#1 - 2023-01-05 17:02 - CD FW-廖涛

- Category changed from CD-FW to SYSTEM

- Assignee changed from CD FW-廖涛 to CD SYSTEM-夏旭

#2 - 2023-01-12 15:31 - CD SYSTEM-夏旭

- Due date set to 2023-01-12

- Status changed from New to ASSIGNED

#3 - 2023-01-12 20:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176011 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

system:log:modify tlog binadd tlog file suffix .ingTC-RID: 1200-0800102IssueID: TS-R-BUG-115096Change-Id: I73bb7da53a34c6c2718e2c6a087134b366b2e79c
#4 - 2023-01-12 20:12 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-12

- Root cause set to 打包的时候把正在写入的文件删除了

■ Current conclusion

已处理。后面几次触发打包时，kernel的文件都还在，压缩包中也有kernel的文件

■ My analysis

打包的时候把正在写入的文件删除了

■ Next action 

测试验证

#5 - 2023-01-13 17:26 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#6 - 2023-01-13 17:26 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
